Subject: Re: [R] Accesing glm results
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Wed, 6 Feb 2002 09:31:06 -0800 (PST)

On Wed, 6 Feb 2002, iago mosqueira wrote:

> Hi,
>
> I want to generate sdome vectors with results from glm(), for later
> processing. How can I extract the t values and the associated p values? I
> suppose something starting with summary(g)$...
>
The answer is
 summary(g)$coef[,3:4]

The way to find out things like this is to use names() or str() to look at
the glm and summary.glm objects.
   summ<-summary(g)
   names(summ)
# I see a coefficients item. I wonder what it looks like
   summ$coefficients
# That looks familiar, it's the table of coefficients, std erros,
#p-values. I want the last two columns
   summ$coefficients[,3:4]
#Success

Or alternatively, read print.summary.glm() to see where it gets them from.

	-thomas

Thomas Lumley			Asst. Professor, Biostatistics
[email-masked]	University of Washington, Seattle

-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
r-help mailing list -- Read http://www.ci.tuwien.ac.at/~hornik/R/R-FAQ.html
Send "info", "help", or "[un]subscribe"
(in the "body", not the subject !)  To: [email-masked]
_._._._._._._._._._._._._._._._._._._._._._._._._._._._._._._._._._._._._._._._